{ lib, pkgs, ... }:

{
  services.factorio = {
    enable = true;
    package = pkgs.factorio-headless.overrideAttrs (o: o // rec {
      name = "factorio-headless-${version}";
      version = "1.1.41";

      src = pkgs.fetchurl {
        name = "factorio_headless_x64-${version}.tar.xz";
        url = "https://factorio.com/get-download/${version}/headless/linux64";
        sha256 = "sha256-gkzUE+0Fbkoo285290OWHULlrvh7OF4nqcV/HpJKml4=";
      };
    });
    openFirewall = true;
    admins = [ "sbruder" ];
    game-name = "factorio.sbruder.de";
    game-password = "MoinMoin";
  };
}
